Prerequisites

Install provisioning tools

There are some software pieces that you need to install on your local machine, in order to provision Kubernetes with KubeNow:

  • Terraform (0.9.4 or higher) to fire-up the virtual infrastructure on the host cloud
  • Ansible (2.2.0.0 or higher) to provision the VMs (e.g. install and configure networking, reverse proxy etc.)
  • Python modules: dnspython, jmespath, apache-libcloud, shade. You can istall them using pip:
sudo pip install dnspython jmespath apache-libcloud shade

Get KubeNow

KubeNow 0.2.1 is distributed via GitHub:

git clone https://github.com/mcapuccini/KubeNow.git
cd KubeNow
git checkout 0.2.1

All of the commands in this documentation are meant to be run in the KubeNow directory.